<table>
	<table search="unit">			
		<sequence editable_state="true" name="'dismember_head'" triggable="true">
			<object enabled="true" name="'g_neck_meat'"/>
			<set_variables var_head="1"/>
			<effect name="'effects/vanilla/dismemberment/dis_blood_spray_001'" parent="object( 'Neck' )" position="v()" transfer_ang_velocity="v( 50 * rand(), 50 * rand(), 500 * rand() )" transfer_velocity="v( 0, 200 * rand(), 200 * rand() )"/>
			<run_sequence name="'toggle_body_parts'" />
			<run_sequence filter="'check_ragdoll_enabled'" name="'switch_to_ragdoll'" start_time="2/30"/>
			<run_sequence name="'toggle_hit_box'" start_time="2/30"/>
			<spawn_unit name="'units/vanilla/characters/enemies/models/german_sniper/debris/head_debris'" position="object_pos('Head')" rotation="object_rot('root_point')" transfer_ang_velocity="v( 50 * rand(), 50 * rand(), 500 * rand() )" transfer_velocity="v( 0, 200 * rand(), 200 * rand() )"/>
		</sequence>
		
		<sequence editable_state="true" name="'toggle_body_parts'" triggable="true">
			<graphic_group name="'char_grp'" visibility="false"/>
			<object enabled="false" name="'s_body'"/>
			<object enabled="true" filter="'check_intact_head'" name="'g_dsm_head'"/>
			<object enabled="true" filter="'check_intact_l_lower_arm'" name="'g_dsm_l_arm_lower'"/>
			<object enabled="true" filter="'check_intact_l_upper_arm'" name="'g_dsm_l_arm_upper'"/>
			<object enabled="true" filter="'check_intact_r_upper_arm'" name="'g_dsm_r_arm_upper'"/>
			<object enabled="true" filter="'check_intact_r_lower_arm'" name="'g_dsm_r_arm_lower'"/>
			<object enabled="true" name="'g_dsm_body'"/>
			<object enabled="true" name="'g_dsm_backpackgadget'"/>
			<object enabled="true" name="'g_dsm_canteen'"/>
			<object enabled="true" name="'g_dsm_hipgadgets'"/>
			<object enabled="true" filter="'check_intact_l_lower_leg'" name="'g_dsm_l_leg_lower'"/>
			<object enabled="true" filter="'check_intact_l_upper_leg'" name="'g_dsm_l_leg_upper'"/>
			<object enabled="true" filter="'check_intact_r_lower_leg'" name="'g_dsm_r_leg_lower'"/>
			<object enabled="true" filter="'check_intact_r_upper_leg'" name="'g_dsm_r_leg_upper'"/>
			<object enabled="true" filter="'check_intact_head'" name="'s_dsm_head'"/>
			<object enabled="true" filter="'check_intact_l_lower_arm'" name="'s_dsm_l_arm_lower'"/>
			<object enabled="true" filter="'check_intact_l_upper_arm'" name="'s_dsm_l_arm_upper'"/>
			<object enabled="true" filter="'check_intact_r_upper_arm'" name="'s_dsm_r_arm_upper'"/>
			<object enabled="true" filter="'check_intact_r_lower_arm'" name="'s_dsm_r_arm_lower'"/>
			<object enabled="true" name="'s_dsm_body'"/>
			<object enabled="true" filter="'check_intact_l_lower_leg'" name="'s_dsm_l_leg_lower'"/>
			<object enabled="true" filter="'check_intact_l_upper_leg'" name="'s_dsm_l_leg_upper'"/>
			<object enabled="true" filter="'check_intact_r_lower_leg'" name="'s_dsm_r_leg_lower'"/>
			<object enabled="true" filter="'check_intact_r_upper_leg'" name="'s_dsm_r_leg_upper'"/>
			<object enabled="false" filter="'check_hidden_head'" name="'g_dsm_head'"/>
			<object enabled="false" filter="'check_hidden_head'" name="'g_mull_plane'"/>
			<object enabled="false" filter="'check_hidden_l_lower_arm'" name="'g_dsm_l_arm_lower'"/>
			<object enabled="false" filter="'check_hidden_l_upper_arm'" name="'g_dsm_l_arm_upper'"/>
			<object enabled="false" filter="'check_hidden_r_upper_arm'" name="'g_dsm_r_arm_upper'"/>
			<object enabled="false" filter="'check_hidden_r_lower_arm'" name="'g_dsm_r_arm_lower'"/>
			<object enabled="false" filter="'check_hidden_l_lower_leg'" name="'g_dsm_l_leg_lower'"/>
			<object enabled="false" filter="'check_hidden_l_upper_leg'" name="'g_dsm_l_leg_upper'"/>
			<object enabled="false" filter="'check_hidden_r_lower_leg'" name="'g_dsm_r_leg_lower'"/>
			<object enabled="false" filter="'check_hidden_r_upper_leg'" name="'g_dsm_r_leg_upper'"/>
			<object enabled="false" filter="'check_hidden_head'" name="'s_dsm_head'"/>
			<object enabled="false" filter="'check_hidden_l_lower_arm'" name="'s_dsm_l_arm_lower'"/>
			<object enabled="false" filter="'check_hidden_l_upper_arm'" name="'s_dsm_l_arm_upper'"/>
			<object enabled="false" filter="'check_hidden_r_upper_arm'" name="'s_dsm_r_arm_upper'"/>
			<object enabled="false" filter="'check_hidden_r_lower_arm'" name="'s_dsm_r_arm_lower'"/>
			<object enabled="false" filter="'check_hidden_l_lower_leg'" name="'s_dsm_l_leg_lower'"/>
			<object enabled="false" filter="'check_hidden_l_upper_leg'" name="'s_dsm_l_leg_upper'"/>
			<object enabled="false" filter="'check_hidden_r_lower_leg'" name="'s_dsm_r_leg_lower'"/>
			<object enabled="false" filter="'check_hidden_r_upper_leg'" name="'s_dsm_r_leg_upper'"/>
		</sequence>
	</table>
		
</table>